#
# spec file for package adjtimex
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define time_ver 1.7
%define adjtimex_ver 1.29

Name:           adjtimex
Version:        1.29
Release:        8.4
Summary:        Kernel time variables configuration utility
License:        GPL-2.0+
Group:          System/Base

Source:         http://ftp.debian.org/debian/pool/main/a/adjtimex/adjtimex_%{adjtimex_ver}.orig.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Provides:       util-linux:/usr/sbin/adjtimex

%description
This program gives you raw access to the kernel time variables. For
a machine connected to the Internet, or equipped with a precision
oscillator or radio clock, the best way to keep the system clock
correct is with ntpd. However, for a standalone or intermittently
connected machine, you may use adjtimex instead to at least correct
for systematic drift. adjtimex can optionally adjust the system clock
using the CMOS clock as a reference, and can log times for long-term
estimation of drift rates.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
b="%buildroot"
mkdir -p "$b/%_sbindir" "$b/%_mandir/man8" "$b/sbin"
cp adjtimex "$b/%_sbindir/"
cp adjtimex.8 "$b/%_mandir/man8/"

#UsrMerge
ln -s "%_sbindir/adjtimex" "$b/sbin/"

%files
%defattr(-,root,root)
%doc COPYING COPYRIGHT
/sbin/adjtimex
%_sbindir/adjtimex
%_mandir/man8/adjtimex.8*

%changelog
* Mon Mar 16 2015 lchiquitto@suse.de
- Add adjtimex to SLES and SLED 12 (FATE#318579)
* Wed May 14 2014 ro@suse.de
- add COPYING and COPYRIGHT as doc files
* Sun Jan 20 2013 jengelh@inai.de
- Split "adjtimex" off util-linux
